Tudalennau splash
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| search | Dewisol String | Y llinell chwilio. |
| search_by | Dewisol String | Pa faes ydych chi'n chwilio yn ôl. Mae'r gwerthoedd a ganiateir yn: name. |
| datetime_field | Dewisol String | Gwerthoedd a ganiateir: datetime, last_datetime |
| datetime_start | Dewisol String | Hidlo canlyniadau gan ddechrau o'r dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| datetime_end | Dewisol String | Hidlo canlyniadau hyd at y dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| order_by | Dewisol String | Pa faes i drefnu'r canlyniadau yn ôl. Mae'r gwerthoedd a ganiateir yn: splash_page_id, datetime, last_datetime, name. |
| order_type | Dewisol String | Trefniant y canlyniadau. Mae'r gwerthoedd a ganiateir yn: ASC ar gyfer trefniant cynyddol, a DESC ar gyfer trefniant isel. |
| page | Dewisol Cyfanrif | Y rhif tudalen y dymunwch gael canlyniadau ohono. Mae'n dod yn ddiofyn i 1. |
| results_per_page | Dewisol Cyfanrif | Faint o ganlyniadau ydych chi am bob tudalen. Mae'r gwerthoedd a ganiateir yn: 10, 25, 50, 100, 250, 500, 1000. Mae'r rhagosodiad yn 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:44:04",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:44:04",
}
}
POST https://tistos.com/api/projects
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| name | Angenrheidiol String | - |
| title | Dewisol String | - |
| logo | Dewisol Ffeil | - |
| favicon | Dewisol Ffeil | - |
| opengraph | Dewisol Ffeil | - |
| description | Dewisol String | - |
| secondary_button_name | Dewisol String | - |
| secondary_button_url | Dewisol String | - |
| custom_css | Dewisol String | - |
| custom_js | Dewisol String | - |
| ads_header | Dewisol String | - |
| ads_footer | Dewisol String | - |
| link_unlock_seconds | Dewisol Cyfanrif | - |
| auto_redirect | Dewisol Booleaidd | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| name | Dewisol String | - |
| title | Dewisol String | - |
| logo | Dewisol Ffeil | - |
| favicon | Dewisol Ffeil | - |
| opengraph | Dewisol Ffeil | - |
| description | Dewisol String | - |
| secondary_button_name | Dewisol String | - |
| secondary_button_url | Dewisol String | - |
| custom_css | Dewisol String | - |
| custom_js | Dewisol String | - |
| ads_header | Dewisol String | - |
| ads_footer | Dewisol String | - |
| link_unlock_seconds | Dewisol Cyfanrif | - |
| auto_redirect | Dewisol Booleaidd | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \